const keybindings = {
  'ArrowLeft': clickOnElementBinding('#next'),
  'ArrowRight': clickOnElementBinding('#prev'),
  'r': clickOnElementBinding('#random')
};

function clickOnElementBinding(selector) {
  return () => {
    let elem = document.querySelector(selector);
    if(elem)
      elem.click();
  };
}

(function() {
  document.addEventListener('keydown', e => {
    if(e.key in keybindings) {
      e.preventDefault();
      keybindings[e.key]();
    }
  });
})();
